SbBox2s Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions | List of all members
SbBox2s Class Reference
Base Classes

The SbBox2s class is a 2 dimensional box with short integer coordinates.This box class is used by other classes in Coin for data exchange. It provides storage for two box corners with short integer coordinates, which is among other things useful for representing screen or canvas areas in absolute window coordinates. More...

`#include <Inventor/SbBox.h>`

## Public Member Functions
| SbBox2s (void)
| SbBox2s (short xmin, short ymin, short xmax, short ymax)
| SbBox2s (const SbVec2s &minpoint, const SbVec2s &maxpoint)
| SbBox2s (const SbBox2i32 &box)
| SbBox2s (const SbBox2f &box)
| SbBox2s (const SbBox2d &box)
SbBox2s & | setBounds (short xmin, short ymin, short xmax, short ymax)
SbBox2s & | setBounds (const SbVec2s &minpoint, const SbVec2s &maxpoint)
SbBox2s & | setBounds (const SbBox2i32 &box)
SbBox2s & | setBounds (const SbBox2f &box)
SbBox2s & | setBounds (const SbBox2d &box)
void | getBounds (short &xmin, short &ymin, short &xmax, short &ymax) const
void | getBounds (SbVec2s &minpoint, SbVec2s &maxpoint) const
const SbVec2s & | getMin (void) const
SbVec2s & | getMin (void)
const SbVec2s & | getMax (void) const
SbVec2s & | getMax (void)
void | extendBy (const SbVec2s &point)
void | extendBy (const SbBox2s &box)
void | makeEmpty (void)
SbBool | isEmpty (void) const
SbBool | hasArea (void) const
SbBool | intersect (const SbVec2s &point) const
SbBool | intersect (const SbBox2s &box) const
SbVec2f | getCenter (void) const
void | getOrigin (short &originX, short &originY) const
void | getSize (short &sizeX, short &sizeY) const
float | getAspectRatio (void) const

## Related Functions
(Note that these are not member functions.)
int | operator== (const SbBox2s &b1, const SbBox2s &b2)
int | operator!= (const SbBox2s &b1, const SbBox2s &b2)

## Detailed Description

The SbBox2s class is a 2 dimensional box with short integer coordinates.

This box class is used by other classes in Coin for data exchange. It provides storage for two box corners with short integer coordinates, which is among other things useful for representing screen or canvas areas in absolute window coordinates.

See also
  SbBox2f, SbBox2d, SbBox3s, SbBox3f, SbBox3d, SbXfBox3f.

## Constructor & Destructor Documentation

SbBox2s::SbBox2s | ( | void |  | ) |
| inline

The default constructor makes an empty box.

SbBox2s::SbBox2s | ( | short | xmin,
|  | short | ymin,
|  | short | xmax,
|  | short | ymax
| ) |  |
| inline

Constructs a box with the given corner coordinates.

xmin should be less than xmax and ymin should be less than ymax if you want to make a valid box.

SbBox2s::SbBox2s | ( | const SbVec2s & | boxmin,
|  | const SbVec2s & | boxmax
| ) |  |
| inline

Constructs a box with the given corners.

The coordinates of min should be less than the coordinates of max if you want to make a valid box.

## Member Function Documentation

SbBox2s & SbBox2s::setBounds | ( | short | xmin,
|  | short | ymin,
|  | short | xmax,
|  | short | ymax
| ) |  |
| inline

Reset the boundaries of the box.

xmin should be less than xmax and ymin should be less than ymax if you want to make a valid box.

Returns reference to self.

See also
  getBounds().

SbBox2s & SbBox2s::setBounds | ( | const SbVec2s & | boxmin,
|  | const SbVec2s & | boxmax
| ) |  |
| inline

Reset the boundaries of the box with the given corners.

The coordinates of min should be less than the coordinates of max if you want to make a valid box.

Returns reference to self.

See also
  getBounds().

SbBox2s & SbBox2s::setBounds | ( | const SbBox2i32 & | box | ) |

Reset the boundaries with the boundaries of the given box.

Returns reference to self.

See also
  setBounds()

SbBox2s & SbBox2s::setBounds | ( | const SbBox2f & | box | ) |

Reset the boundaries with the boundaries of the given box.

Returns reference to self.

See also
  setBounds()

SbBox2s & SbBox2s::setBounds | ( | const SbBox2d & | box | ) |

Reset the boundaries with the boundaries of the given box.

Returns reference to self.

See also
  setBounds()

void SbBox2s::getBounds | ( | short & | xmin,
|  | short & | ymin,
|  | short & | xmax,
|  | short & | ymax
| ) |  | const
| inline

Returns the box boundary coordinates.

See also
  setBounds(), getMin(), getMax().

void SbBox2s::getBounds | ( | SbVec2s & | boxmin,
|  | SbVec2s & | boxmax
| ) |  | const
| inline

Returns the box corner points.

See also
  setBounds(), getMin(), getMax().

const SbVec2s & SbBox2s::getMin | ( | void |  | ) | const
| inline

Returns the minimum point. This should usually be the lower left corner point of the box.

See also
  getOrigin(), getMax().

const SbVec2s & SbBox2s::getMax | ( | void |  | ) | const
| inline

Returns the maximum point. This should usually be the upper right corner point of the box.

See also
  getMin().

void SbBox2s::extendBy | ( | const SbVec2s & | point | ) |

Extend the boundaries of the box by the given point, i.e. make the point fit inside the box if it isn't already within it.

void SbBox2s::extendBy | ( | const SbBox2s & | box | ) |

Extend the boundaries of the box by the given box parameter. This is equal to calling extendBy() twice with the corner points.

void SbBox2s::makeEmpty | ( | void |  | ) |

Marks this as an empty box.

See also
  isEmpty().

SbBool SbBox2s::intersect | ( | const SbVec2s & | point | ) | const

Check if the given point lies within the boundaries of this box.

SbBool SbBox2s::intersect | ( | const SbBox2s & | box | ) | const

Check if box lies wholly or partly within the boundaries of this box.

void SbBox2s::getOrigin | ( | short & | originX,
|  | short & | originY
| ) |  | const
| inline

Returns the coordinates of the box origin (i.e. the lower left corner).

See also
  getMin().

void SbBox2s::getSize | ( | short & | sizeX,
|  | short & | sizeY
| ) |  | const
| inline

Returns width and height of box.

float SbBox2s::getAspectRatio | ( | void |  | ) | const
| inline

Returns aspect ratio of box, which is defined as box width divided on box height.

## Friends And Related Function Documentation

int operator== | ( | const SbBox2s & | b1,
|  | const SbBox2s & | b2
| ) |  |
| related

Check b1 and b2 for equality.

int operator!= | ( | const SbBox2s & | b1,
|  | const SbBox2s & | b2
| ) |  |
| related

Check b1 and b2 for inequality.

The documentation for this class was generated from the following files:

- SbBox2s.h
- SbBox2s.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.